interface YTPP_Options {
    width?: number;
    height?: number;
    autoplay?: boolean;
    host?: string;
    captions?: string;
    controls?: boolean;
    keyboard?: boolean;
    loop?: boolean;
    fullscreen?: boolean;
    annotations?: boolean;
    modestBranding?: boolean;
    relatedVideos?: boolean;
    timeUpdateFrequency?: number;
    playsInline?: boolean;
    start?: number;
    debug?: boolean;
}
type YTPP_Event = 'error' | 'unplayable' | 'timeupdate' | 'unstarted' | 'ended' | 'playing' | 'cued' | 'paused' | 'playbackQualityChange' | 'playbackRateChange' | 'stateChange' | 'ready' | 'buffering';
type YTPP_MethodsToChange = 'play' | 'pause' | 'stop' | 'seek' | 'setVolume' | 'mute' | 'unMute' | 'setSize' | 'setPlaybackRate' | 'setPlaybackQuality';
type YTPP_QueueCommand = [YTPP_MethodsToChange, any[]];

export { YTPP_Event, YTPP_MethodsToChange, YTPP_Options, YTPP_QueueCommand };
